Subject: Re: bug#59683: [PATCH] gnu: Add bolt

From: phodina <[email-masked]>
Date: Tue, 20 Dec 2022 20:51:48 +0000

I've tried to simplify the service.

However, for some reason the client boltctl does not work. It is restarted under different PID and the service does not fail.

$ boltctl list
boltctl: error: could not create client: Error calling StartServiceByName for org.freedesktop.bolt: Failed to activate service 'org.freedesktop.bolt': timed out (service_start_timeout=25000ms)

$ ps aux | grep boltd
root     20923  0.0  0.0 230592  6744 ?        Dsl  21:24   0:00 /gnu/store/fhngddf8yfqsby06mwjbs99s1s83jh68-bolt-0.9.4/libexec/boltd
pethod   20935  0.0  0.0   6528  1864 pts/6    S+   21:24   0:00 grep --color=auto boltd
$ ps aux | grep boltd
root     22821  0.0  0.0 230592  6492 ?        Ssl  21:33   0:00 /gnu/store/fhngddf8yfqsby06mwjbs99s1s83jh68-bolt-0.9.4/libexec/boltd
pethod   22979  0.0  0.0   6516  1988 pts/6    S+   21:33   0:00 grep --color=auto boltd
$ ps aux | grep boltd
root     22980  0.0  0.0 230592  8672 ?        Dsl  21:33   0:00 /gnu/store/fhngddf8yfqsby06mwjbs99s1s83jh68-bolt-0.9.4/libexec/boltd
pethod   23102  0.0  0.0   6504  1988 pts/6    S+   21:33   0:00 grep --color=auto boltd

$ ls /var/log/bolt*
ls: cannot access '/var/log/bolt*': No such file or directory

Here's a standalone file which I currently use for testing, will put it back to Guix repo.

Second attached file is the daemon running by launching it manually. For some reason it stops.

I'll also add the paragraph with description.

Also the service has to run with higher priviledges [1].

As this service reuqires HW does it make sense to write test? Maybe to check if it is launched, right?

1 https://github.com/gicmo/bolt/blob/master/data/bolt.service.in#L25

----
Petr